[SailfishDevel] Error building sailfish browser

Vidhuran Harichandra Babu vidhuran2012 at gmail.com
Fri Jan 8 19:10:16 UTC 2016


Hi,

   I'm trying to build the browser by importing it as a project in Sailfish
IDE and i get the following error.

20:45:24: Running steps for project sailfish-browser...

20:45:24: Start SDK: The "MerSDK" virtual machine is already running.
Nothing to do.

20:45:24: Starting:
"C:\SailfishOS\settings\SailfishBeta7\mer-sdk-tools\MerSDK\SailfishOS-armv7hl\qmake.cmd"
C:\Users\evidhar\workspace\Sailfish\sailfish-browser\sailfish-browser.pro
-r -spec linux-g++ "CONFIG+=debug" "CONFIG+=declarative_debug"
"CONFIG+=qml_debug"

No provider of 'pkgconfig(qt5embedwidget) >= 1.12.26' found.

error: Failed build dependencies:

pkgconfig(qt5embedwidget) >= 1.12.26 is needed by
sailfish-browser-1.13.26-1.armv7hl

Building target platforms: armv7hl-meego-linux

Building for target armv7hl-meego-linux

20:45:27: The process
"C:\SailfishOS\settings\SailfishBeta7\mer-sdk-tools\MerSDK\SailfishOS-armv7hl\qmake.cmd"
exited with code 1.

Error while building/deploying project sailfish-browser (kit:
MerSDK-SailfishOS-armv7hl)

When executing step "qmake"

20:45:27: Elapsed time: 00:02.


When i build it for the emulator by following the instructions from
https://github.com/sailfishos/sailfish-browser/wiki/BuildingInstructions i
get the same error.


I even tried to include that library by copying it over from the /usr/lib
directory from the phone, it didn't help,

How do i include that library ?


Thanks,

Vidhuran
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.sailfishos.org/pipermail/devel/attachments/20160108/74b8709b/attachment.html>


More information about the Devel mailing list